| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.BrowserSimpleControl Class Reference
Inheritance diagram for IG.Forms.BrowserSimpleControl:
[legend]
Collaboration diagram for IG.Forms.BrowserSimpleControl:
[legend]

## Public Member Functions
| BrowserSimpleControl ()
virtual void | OpenLocation (string location)

## Public Attributes
const string | DefaultHomeUrl = Util.IGLibUrl
const string | DefaultSearchUrl = "http://www.google.com"
const string | DefaultFileToOpen = "d:/users/igor/0000/tmp/index.html"

## Protected Member Functions
virtual void | FetchBrowserInitialPosition ()
| Obtains browser y position and height of the panel containing controls. More...
virtual void | SetBrowserPositionOriginal ()
| Sets the browser y position within the form to its original position. More...
virtual void | SetBrowserPositionWithoutControls ()
| Sets browser y position for the situation where browser controls are not visible. More...
void | ReportError (Exception ex)
| Reports the error that occurred in the current window control. More...
void | ReportError (string errorMessage)
| Reports the error that occurred in the current window control. More...
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
string | _homeUrl = DefaultHomeUrl
string | _searchUrl = DefaultSearchUrl
string | _fileToOpen

## Properties
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
string | HomeUrl`[get, set]`
| Home page Url. More...
string | SearchUrl`[get, set]`
| Home page Url. More...
string | FileToOpen`[get, set]`
| File to be opened in the file open dialog box. More...

## Private Member Functions
void | UpdateUrlToAdressBar ()
| Sets browser URL to the text from the address bar. More...
void | UpdateUrl (string urlString)
| Sets browser URL to the specified text. More...
void | txtAddressBar_Leave (object sender, EventArgs e)
void | buttonHome_Click (object sender, EventArgs e)
void | buttonBack_Click (object sender, EventArgs e)
void | buttonForward_Click (object sender, EventArgs e)
void | buttonRefresh_Click (object sender, EventArgs e)
void | txtAddressBar_KeyPress (object sender, KeyPressEventArgs e)
void | buttonSubmit_Click (object sender, EventArgs e)
void | buttonStop_Click (object sender, EventArgs e)
void | webBrowser_DocumentCompleted (object sender, WebBrowserDocumentCompletedEventArgs e)
void | webBrowser_Navigating (object sender, WebBrowserNavigatingEventArgs e)
void | webBrowser_CanGoBackChanged (object sender, EventArgs e)
void | webBrowser_CanGoForwardChanged (object sender, EventArgs e)
void | HideTopPanel ()
void | ShowTopPanel ()
void | TopPnlHideBtn_Click (object sender, EventArgs e)
void | MenuTools_Controls_CheckStateChanged (object sender, EventArgs e)
void | BrowserSimpleControl_VisibleChanged (object sender, EventArgs e)
void | MenuFile_OpenURL_Click (object sender, EventArgs e)
void | homeToolStripMenuItem_Click (object sender, EventArgs e)
void | googleToolStripMenuItem_Click (object sender, EventArgs e)
void | otherToolStripMenuItem_Click (object sender, EventArgs e)
void | MenuFile_Open_Click (object sender, EventArgs e)
void | printPreviewToolStripMenuItem_Click (object sender, EventArgs e)
void | printToolStripMenuItem_Click (object sender, EventArgs e)
void | MenuFile_Close_Click (object sender, EventArgs e)
void | MenuFile_CloseDocument_Click (object sender, EventArgs e)
void | MenuHelp_About_Click (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
object | _mainLock = new object()
bool | _browserPositionRemembered = false
int | _browserYInitialPosition = 0
int | _controlPanelHeigt = 0
int | _statusStripHeight = 0
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.StatusStrip | statusStrip1
System.Windows.Forms.ToolStripStatusLabel | StatusType
System.Windows.Forms.ToolStripStatusLabel | StatusPath
System.Windows.Forms.ToolStripStatusLabel | StatusError
System.Windows.Forms.ToolStripStatusLabel | StatusStatus
System.Windows.Forms.MenuStrip | menuStrip
System.Windows.Forms.ToolStripMenuItem | MenuFile
System.Windows.Forms.ToolStripMenuItem | MenuFile_OpenURL
System.Windows.Forms.ToolStripMenuItem | MenuFile_Open
System.Windows.Forms.ToolStripMenuItem | printPreviewToolStripMenuItem
System.Windows.Forms.ToolStripMenuItem | printToolStripMenuItem
System.Windows.Forms.ToolStripMenuItem | MenuFile_Close
System.Windows.Forms.ToolStripMenuItem | MenuFile_CloseDocument
System.Windows.Forms.ToolStripMenuItem | MenuTools
System.Windows.Forms.ToolStripMenuItem | MenuTools_Controls
System.Windows.Forms.ToolStripSeparator | toolStripSeparator5
System.Windows.Forms.ToolStripMenuItem | MenuTools_Stop
System.Windows.Forms.ToolStripMenuItem | MenuGelp
System.Windows.Forms.ToolStripMenuItem | MenuHelp_About
System.Windows.Forms.WebBrowser | browser
System.Windows.Forms.Panel | ControlPnl
System.Windows.Forms.Button | buttonBack
System.Windows.Forms.Button | buttonForward
System.Windows.Forms.Button | TopPnlHideBtn
System.Windows.Forms.Button | buttonSubmit
System.Windows.Forms.TextBox | txtAddressBar
System.Windows.Forms.Button | buttonRefresh
System.Windows.Forms.Button | buttonStop
System.Windows.Forms.Button | buttonHome
System.Windows.Forms.Panel | pnlOuter
System.Windows.Forms.ToolStripMenuItem | homeToolStripMenuItem
System.Windows.Forms.ToolStripMenuItem | googleToolStripMenuItem
System.Windows.Forms.ToolStripMenuItem | otherToolStripMenuItem
System.Windows.Forms.OpenFileDialog | openFileDialog
System.Windows.Forms.ToolStripSeparator | toolStripSeparator1
System.Windows.Forms.ToolStripSeparator | toolStripSeparator2

## Constructor & Destructor Documentation

IG.Forms.BrowserSimpleControl.BrowserSimpleControl | ( |  | ) |
| inline

## Member Function Documentation

virtual void IG.Forms.BrowserSimpleControl.FetchBrowserInitialPosition | ( |  | ) |
| inline protected virtual

Obtains browser y position and height of the panel containing controls.

virtual void IG.Forms.BrowserSimpleControl.SetBrowserPositionOriginal | ( |  | ) |
| inline protected virtual

Sets the browser y position within the form to its original position.

virtual void IG.Forms.BrowserSimpleControl.SetBrowserPositionWithoutControls | ( |  | ) |
| inline protected virtual

Sets browser y position for the situation where browser controls are not visible.

virtual void IG.Forms.BrowserSimpleControl.OpenLocation | ( | string | location | ) |
| inline virtual

void IG.Forms.BrowserSimpleControl.ReportError | ( | Exception | ex | ) |
| inline protected

Reports the error that occurred in the current window control.

Parameters

  ex | Exception that was thrown because of the error.

void IG.Forms.BrowserSimpleControl.ReportError | ( | string | errorMessage | ) |
| inline protected

Reports the error that occurred in the current window control.

Parameters

  errorMessage | Error message that describes the error.

void IG.Forms.BrowserSimpleControl.UpdateUrlToAdressBar | ( |  | ) |
| inline private

Sets browser URL to the text from the address bar.

void IG.Forms.BrowserSimpleControl.UpdateUrl | ( | string | urlString | ) |
| inline private

Sets browser URL to the specified text.

Parameters

  urlString | String representing the url to which address must be changed.

void IG.Forms.BrowserSimpleControl.txtAddressBar_Leave | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.buttonHome_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.buttonBack_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.buttonForward_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.buttonRefresh_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.txtAddressBar_KeyPress | ( | object | sender,
|  | KeyPressEventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.buttonSubmit_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.buttonStop_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.webBrowser_DocumentCompleted | ( | object | sender,
|  | WebBrowserDocumentCompletedEventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.webBrowser_Navigating | ( | object | sender,
|  | WebBrowserNavigatingEventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.webBrowser_CanGoBackChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.webBrowser_CanGoForwardChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.HideTopPanel | ( |  | ) |
| inline private

void IG.Forms.BrowserSimpleControl.ShowTopPanel | ( |  | ) |
| inline private

void IG.Forms.BrowserSimpleControl.TopPnlHideBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.MenuTools_Controls_CheckStateChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.BrowserSimpleControl_VisibleChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.MenuFile_OpenURL_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.homeToolStripMenuItem_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.googleToolStripMenuItem_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.otherToolStripMenuItem_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.MenuFile_Open_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.printPreviewToolStripMenuItem_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.printToolStripMenuItem_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.MenuFile_Close_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.MenuFile_CloseDocument_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserSimpleControl.MenuHelp_About_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Lib.Util.IGLibUrl.

override void IG.Forms.BrowserSimpleControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.BrowserSimpleControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

object IG.Forms.BrowserSimpleControl._mainLock = new object()
| private

bool IG.Forms.BrowserSimpleControl._browserPositionRemembered = false
| private

int IG.Forms.BrowserSimpleControl._browserYInitialPosition = 0
| private

int IG.Forms.BrowserSimpleControl._controlPanelHeigt = 0
| private

int IG.Forms.BrowserSimpleControl._statusStripHeight = 0
| private

const string IG.Forms.BrowserSimpleControl.DefaultHomeUrl = Util.IGLibUrl

string IG.Forms.BrowserSimpleControl._homeUrl = DefaultHomeUrl
| protected

const string IG.Forms.BrowserSimpleControl.DefaultSearchUrl = "http://www.google.com"

string IG.Forms.BrowserSimpleControl._searchUrl = DefaultSearchUrl
| protected

const string IG.Forms.BrowserSimpleControl.DefaultFileToOpen = "d:/users/igor/0000/tmp/index.html"

string IG.Forms.BrowserSimpleControl._fileToOpen
| protected

System.ComponentModel.IContainer IG.Forms.BrowserSimpleControl.components = null
| private

Required designer variable.

System.Windows.Forms.StatusStrip IG.Forms.BrowserSimpleControl.statusStrip1
| private

System.Windows.Forms.ToolStripStatusLabel IG.Forms.BrowserSimpleControl.StatusType
| private

System.Windows.Forms.ToolStripStatusLabel IG.Forms.BrowserSimpleControl.StatusPath
| private

System.Windows.Forms.ToolStripStatusLabel IG.Forms.BrowserSimpleControl.StatusError
| private

System.Windows.Forms.ToolStripStatusLabel IG.Forms.BrowserSimpleControl.StatusStatus
| private

System.Windows.Forms.MenuStrip IG.Forms.BrowserSimpleControl.menuStrip
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.MenuFile
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.MenuFile_OpenURL
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.MenuFile_Open
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.printPreviewToolStripMenuItem
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.printToolStripMenuItem
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.MenuFile_Close
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.MenuFile_CloseDocument
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.MenuTools
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.MenuTools_Controls
| private

System.Windows.Forms.ToolStripSeparator IG.Forms.BrowserSimpleControl.toolStripSeparator5
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.MenuTools_Stop
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.MenuGelp
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.MenuHelp_About
| private

System.Windows.Forms.WebBrowser IG.Forms.BrowserSimpleControl.browser
| private

System.Windows.Forms.Panel IG.Forms.BrowserSimpleControl.ControlPnl
| private

System.Windows.Forms.Button IG.Forms.BrowserSimpleControl.buttonBack
| private

System.Windows.Forms.Button IG.Forms.BrowserSimpleControl.buttonForward
| private

System.Windows.Forms.Button IG.Forms.BrowserSimpleControl.TopPnlHideBtn
| private

System.Windows.Forms.Button IG.Forms.BrowserSimpleControl.buttonSubmit
| private

System.Windows.Forms.TextBox IG.Forms.BrowserSimpleControl.txtAddressBar
| private

System.Windows.Forms.Button IG.Forms.BrowserSimpleControl.buttonRefresh
| private

System.Windows.Forms.Button IG.Forms.BrowserSimpleControl.buttonStop
| private

System.Windows.Forms.Button IG.Forms.BrowserSimpleControl.buttonHome
| private

System.Windows.Forms.Panel IG.Forms.BrowserSimpleControl.pnlOuter
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.homeToolStripMenuItem
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.googleToolStripMenuItem
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.BrowserSimpleControl.otherToolStripMenuItem
| private

System.Windows.Forms.OpenFileDialog IG.Forms.BrowserSimpleControl.openFileDialog
| private

System.Windows.Forms.ToolStripSeparator IG.Forms.BrowserSimpleControl.toolStripSeparator1
| private

System.Windows.Forms.ToolStripSeparator IG.Forms.BrowserSimpleControl.toolStripSeparator2
| private

## Property Documentation

object IG.Forms.BrowserSimpleControl.Lock
| get

This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock.

string IG.Forms.BrowserSimpleControl.HomeUrl
| get set

Home page Url.

string IG.Forms.BrowserSimpleControl.SearchUrl
| get set

Home page Url.

string IG.Forms.BrowserSimpleControl.FileToOpen
| get set

File to be opened in the file open dialog box.

Used for setting initial directory for the dialog box. Each time this property is reset to the last file path picked from the dialog box.

The documentation for this class was generated from the following files:

- igforms/BrowserSimpleControl.cs
- igforms/BrowserSimpleControl.Designer.cs